Subject: bug#68268: closed (Re: bug#68268: 30.0.50; [PATCH] use special mode in checkdoc status buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Jan 2024 22:01:02 +0000

Your bug report

#68268: 30.0.50; [PATCH] use special mode in checkdoc status buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68268: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68268
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68268: 30.0.50; [PATCH] use special mode in checkdoc status buffer
From: Stefan Kangas <[email-masked]>
To: No Wayman <[email-masked]>
Cc: [email-masked]
Date: Fri, 5 Jan 2024 14:00:11 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

No Wayman <[email-masked]> writes:

> I didn't add one because I didn't see entries for the following
> commits which made similar changes elsewhere:
>
> - f947b20a1926ffc5b0553297dfc26d8390bcb328
> - 02a2fba7869db7ae23c65ab1ea47db7ba556ffac
> - 97abe8511a829861f6efb865209ac2dd0e7ae129
> - ab5468e1a01ede3d571765ab491ce2c933ace70f
> - 02a2fba7869db7ae23c65ab1ea47db7ba556ffac
>
> Grepping etc/NEWS files for "special-mode" doesn't turn up much
> either:

OK.

> Addressed in attached patch.

Thanks, installed on master and closing this bug.

Subject: 30.0.50; [PATCH] use special mode in checkdoc status buffer
From: No Wayman <[email-masked]>
To: [email-masked]
Date: Fri, 05 Jan 2024 12:27:27 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

It'd be nice if the checkdoc status buffer were in special-mode.
Always annoys me when it hangs around and I don't have the 
quit-window bindings available.
See attached patch.

>From 37973dcf23742a1fc3fdc5416febb4fe23a0effa Mon Sep 17 00:00:00 2001
From: Nicholas Vollmer <[email-masked]>
Date: Fri, 5 Jan 2024 12:22:10 -0500
Subject: [PATCH] Use special-mode in checkdoc status buffer

* lisp/emacs-lisp/checkdoc.el (checkdoc-display-status-buffer): Use
`special-mode'.
---
 lisp/emacs-lisp/checkdoc.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/emacs-lisp/checkdoc.el b/lisp/emacs-lisp/checkdoc.el
index 80eaf93c3b7..82c6c03a592 100644
--- a/lisp/emacs-lisp/checkdoc.el
+++ b/lisp/emacs-lisp/checkdoc.el
@@ -556,7 +556,8 @@ checkdoc-display-status-buffer
   "Display and update the status buffer for the current checkdoc mode.
 CHECK is a list of four strings stating the current status of each
 test; the nth string describes the status of the nth test."
-  (let (temp-buffer-setup-hook)
+  (let (temp-buffer-setup-hook
+        (temp-buffer-show-hook #'special-mode))
     (with-output-to-temp-buffer "*Checkdoc Status*"
       (mapc #'princ
             (list "Buffer comments and tags:  " (nth 0 check)
-- 
2.43.0